package org.dromara.resource.api;

import org.dromara.common.core.enums.SignType;
import org.dromara.resource.api.domain.RemoteJzq;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;

/**
 * @author sunzexing
 * @version 1.0
 * @title RemoteJzqService
 * @description
 * @create 2024-05-20 9:54
 */
public interface RemoteJzqService {

    /*****
     * 君子签发起签约
     * @param sign
     * @return
     * @throws Exception
     */
    public String  becomeSign(RemoteJzq sign, String domain, SignType signType);

    public String  link(String applyNo,String fullName,String identityCard,int identityType);

    public String  bankThreeVerify(String name ,String identityCard,String cardNo);

    public String userValid(String name ,String identityCard);

    public String ocrIdentity(String file, Integer front);

    public String bankFourVerify(String name,String identityCard,String cardNo,String mobilePhone);

    public String ocrBank(File file);

    public String startH5Face(String orderNo,String name,String identityCard,String backUrl,Integer startFrom);

    public String organizationCreate(String emailOrMobile,String name,Integer organizationType,Integer identificationType,String organizationRegNo,
                                                    File organizationRegImg,String legalName,String legalIdentityCard,String legalMobile);
    public String cloudCertiPerInfo(String fullName,String identityCard,File idenFront,File idenReverse);
}
